| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Classes | Namespaces | Functions
OgreMatrix4.h File Reference
`#include "OgrePrerequisites.h"`
`#include "OgreMatrix3.h"`
`#include "OgreVector4.h"`
`#include "OgrePlane.h"`

## Classes
class | Ogre::Affine3
| Transform specialization for 3D Affine - encapsulating a 3x4 Matrix. More...
class | Ogre::Matrix4
| Transform specialization for projective - encapsulating a 4x4 Matrix. More...
class | Ogre::TransformBase
| Class encapsulating a standard 4x4 homogeneous matrix. More...

## Namespaces
| Ogre

## Functions
Matrix4 | Ogre::operator* (const Matrix4 &m, const Matrix4 &m2)
Affine3 | Ogre::operator* (const Affine3 &m, const Affine3 &m2)
Vector3 | Ogre::operator* (const Matrix4 &m, const Vector3 &v)
| Vector transformation using '*'. More...
Vector3 | Ogre::operator* (const Affine3 &m, const Vector3 &v)
Vector4 | Ogre::operator* (const Matrix4 &m, const Vector4 &v)
Vector4 | Ogre::operator* (const Affine3 &m, const Vector4 &v)
Vector4 | Ogre::operator* (const Vector4 &v, const Matrix4 &mat)
Plane | Ogre::operator* (const Matrix4 &mat, const Plane &p)
Matrix4 | Ogre::operator+ (const Matrix4 &m, const Matrix4 &m2)
| Matrix addition. More...
Matrix4 | Ogre::operator- (const Matrix4 &m, const Matrix4 &m2)
| Matrix subtraction. More...